*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    background:#050505;
    color:white;
    font-family:'Roboto',sans-serif;
}

/* NAV */

nav{
    position:fixed;
    top:0;
    left:0;

    width:100%;

    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:20px 50px;

    background:#000;

    border-bottom:2px solid #8b0000;

    z-index:1000;
}

.logo{
    font-family:'Creepster',cursive;
    font-size:2rem;
    color:#ff0000;
}

nav ul{
    display:flex;
    list-style:none;
    gap:30px;
}

nav a{
    text-decoration:none;
    color:white;
    font-weight:bold;
    transition:.3s;
}

nav a:hover{
    color:#ff0000;
}

/* HEADER */

header{
    height:100vh;

    background:
    linear-gradient(
    rgba(0,0,0,.7),
    rgba(0,0,0,.8)),
    url("RECURSOSMOVIES/Cloverfield2.jpg");

    background-size:cover;
    background-position:center;

    display:flex;
    justify-content:center;
    align-items:center;

    text-align:center;
}

.contenido-header{
    max-width:800px;
}

.contenido-header h1{
    font-family:'Creepster',cursive;
    font-size:6rem;
    color:#ff0000;

    text-shadow:
    0 0 10px #ff0000,
    0 0 20px #ff0000;
}

.contenido-header p{
    font-size:1.3rem;
    color:#ddd;
    margin-top:20px;
}

/* SECCIONES */

.preview{
    max-width:1300px;

    margin:auto;

    padding:120px 40px;

    display:flex;
    align-items:center;
    gap:50px;
}

.reverse{
    flex-direction:row-reverse;
}

.preview-img{
    flex:1;
}

.preview-img img{
    width:100%;
    height:500px;
    object-fit:cover;

    border:2px solid #8b0000;

    box-shadow:
    0 0 15px rgba(255,0,0,.3);
}

.preview-info{
    flex:1;
}

.preview-info span{
    color:#ff0000;
    font-weight:bold;
    letter-spacing:2px;
}

.preview-info h2{
    font-size:3rem;
    margin:15px 0;
}

.preview-info p{
    color:#cfcfcf;
    line-height:1.8;
    margin-bottom:30px;
}

.btn{
    display:inline-block;

    padding:15px 30px;

    background:#8b0000;

    color:white;

    text-decoration:none;

    font-weight:bold;

    transition:.3s;
}

.btn:hover{
    background:#ff0000;

    transform:translateY(-3px);

    box-shadow:
    0 0 20px rgba(255,0,0,.5);
}

/* FOOTER */

footer{
    text-align:center;

    padding:50px 20px;

    border-top:1px solid #222;

    background:#000;
}

footer h3{
    color:#ff0000;
    margin-bottom:10px;
}

/* RESPONSIVE */

@media(max-width:900px){

    .preview{
        flex-direction:column;
    }

    .reverse{
        flex-direction:column;
    }

    .contenido-header h1{
        font-size:4rem;
    }

    nav{
        flex-direction:column;
        gap:15px;
    }
}